Download it now!
Bug 67621 - Manage Names dialog won't show the ranges of named ranges when dialog is shown
Summary: Manage Names dialog won't show the ranges of named ranges when dialog is shown
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-01 14:25 UTC by Kohei Yoshida
Modified: 2013-11-18 20:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test document (6.83 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-08-01 14:25 UTC, Kohei Yoshida
Details
Range isn't show if there is only one named range (34.38 KB, image/jpeg)
2013-08-27 08:33 UTC, Marco A.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kohei Yoshida 2013-08-01 14:25:38 UTC
Created attachment 83440 [details]
test document

1. Open the attached document which contains two named ranges.
2. Ctrl-F3 (or Insert - Names - Manage) to open the Manage Names dialog.
3. The range column is empty, but it should show the ranges of the named ranges.
Comment 1 Kohei Yoshida 2013-08-01 14:25:52 UTC
Confirming.
Comment 2 Kohei Yoshida 2013-08-01 14:29:09 UTC
I have a fix for this.
Comment 3 Kohei Yoshida 2013-08-01 14:32:41 UTC
Backport request for 4.1: https://gerrit.libreoffice.org/#/c/5227/
Comment 4 Commit Notification 2013-08-01 14:40:00 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8b807ae589a0b0daa101a0b00bcbe21aa138e2f

fdo#67621: Delay populating the ranges until the dialog is shown.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-08-02 09:02:15 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0df4fa62162b023b29a323ed4c70594a8ec47c4&h=libreoffice-4-1

fdo#67621: Delay populating the ranges until the dialog is shown.


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Kohei Yoshida 2013-08-02 12:06:22 UTC
This is now fixed.
Comment 7 Michel Rudelle 2013-08-09 09:15:59 UTC
Hi Kohei, you sounded a little bit lonely on this issue!
Verified [Vista-32b] with Version: 4.1.2.0.0+
Build ID: 9b82bd95224203f62cf8d26f2af98888f915e85
TinderBox: Win-x86@6-debug, Branch:libreoffice-4-1, Time: 2013-08-08_08:49:37
That's ok, thank you very much
Comment 8 Marco A. 2013-08-27 08:33:02 UTC
Created attachment 84692 [details]
Range isn't show if there is only one named range

If there are more then one, It will show when scroll the ranges
Comment 9 Kohei Yoshida 2013-08-27 11:25:15 UTC
(In reply to comment #8)
> Created attachment 84692 [details]
> Range isn't show if there is only one named range
> 
> If there are more then one, It will show when scroll the ranges

File a new bug please.